com.sun.messaging.jms.management.server

## Class DestinationType

- java.lang.Object
- - com.sun.messaging.jms.management.server.DestinationType

    public class DestinationType
    extends Object

Class containing information on destination types.

### Field Summary

Fields
`static String` `QUEUE` Queue destination type
`static String` `TOPIC` Topic destination type

### Method Summary

Methods
`static String` `toStringLabel(String type)` Returns a human readable representation of the specified destination type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### QUEUE

    public static final String QUEUE

Queue destination type

See Also:
  Constant Field Values

#### TOPIC

    public static final String TOPIC

Topic destination type

See Also:
  Constant Field Values

### Method Detail

#### toStringLabel

    public static String toStringLabel(String type)

Returns a human readable representation of the specified destination type.

Parameters:
  `type` - Destination type
Returns:
  String representation of the specified destination type